package com.hfkj.service.order.impl;

import com.hfkj.dao.BsOrderSettleMapper;
import com.hfkj.entity.BsOrderSettle;
import com.hfkj.entity.BsOrderSettleExample;
import com.hfkj.service.order.BsOrderSettleService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @className: BsOrderSettleServiceImpl
 * @author: HuRui
 * @date: 2024/6/24
 **/
@Service("BsOrderSettleService")
public class BsOrderSettleServiceImpl implements BsOrderSettleService {
    @Resource
    private BsOrderSettleMapper orderSettleMapper;

    @Override
    public void editData(BsOrderSettle data) {
        data.setUpdateTime(new Date());
        if (data.getId() == null) {
            data.setCreateTime(new Date());
            orderSettleMapper.insert(data);
        } else {
            orderSettleMapper.updateByPrimaryKey(data);
        }
    }

    @Override
    public BsOrderSettle getData(String orderNo) {
        BsOrderSettleExample example = new BsOrderSettleExample();
        example.createCriteria().andOrderNoEqualTo(orderNo);
        List<BsOrderSettle> list = orderSettleMapper.selectByExample(example);
        if (!list.isEmpty()) {
            return list.get(0);
        }
        return null;
    }
}
